{% extends 'base.html' %}
{% block content %}
    <main>
        <div>
            <h1>{{ details_object.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' details_object.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url 'todo_list_delete' details_object.id %}"></a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due Date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in details_object.items.all %}
                    <tr>
                        <td>
                            <a href="{% url 'todo_item_update' item.id %}">{{ item.task }}</a>
                        </td>
                        <td>{{ item.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
{% endblock content %}
